- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QGraphicsColorizeEffect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 130 of file qgraphicseffect.h.

`#include <qgraphicseffect.h>`

Inheritance diagram for QGraphicsColorizeEffect:
[legend]

List of all members.

## Public Slots
void | setColor (const QColor &c)
void | setStrength (qreal strength)
## Signals
void | colorChanged (const QColor &color)
void | strengthChanged (qreal strength)
## Public Member Functions
| QGraphicsColorizeEffect (QObject *parent=0)
| ~QGraphicsColorizeEffect ()
QColor | color () const
qreal | strength () const
## Protected Member Functions
void | draw (QPainter *painter)
## Properties
QColor | color
qreal | strength

## Constructor & Destructor Documentation

QGraphicsColorizeEffect | ( | QObject * | parent = `0` | ) |

~QGraphicsColorizeEffect | ( |  | ) |

## Member Function Documentation

QColor color | ( |  | ) | const

Search for all occurrences

qreal strength | ( |  | ) | const

Search for all occurrences

void setColor | ( | const QColor & | c | ) | `[slot]`

Search for all occurrences

void setStrength | ( | qreal | strength | ) | `[slot]`

Search for all occurrences

void colorChanged | ( | const QColor & | color | ) | `[signal]`

Search for all occurrences

void strengthChanged | ( | qreal | strength | ) | `[signal]`

Search for all occurrences

void draw | ( | QPainter * | painter | ) | `[protected, virtual]`

Search for all occurrences

Implements QGraphicsEffect.

## Property Documentation

QColor color `[read, write]`

Search for all occurrences

Definition at line 133 of file qgraphicseffect.h.

qreal strength `[read, write]`

Search for all occurrences

Definition at line 134 of file qgraphicseffect.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicseffect.h

QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect
QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect QGraphicsColorizeEffect